[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# UniqueString

Make sure reference count of string is 1

## Declaration

Source position: systemh.inc line 1219

`procedure UniqueString(`
`var S: RawByteString`
`); procedure UniqueString(`
`var S: UnicodeString`
`); procedure UniqueString(`
`var S: WideString`
`);`

## Description

UniqueString ensures that the ansistring S has reference count 1. It makes a copy of S if this is necessary, and returns the copy in S

## Errors

None.